Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface ICharacterChannel

All Superinterfaces:
  IChannel

All Known Implementing Classes:
  CError, CError, DlmIntroChannel, MultithreadedCacheableCharacterChannelAdapter, MultithreadedCacheableMimeResponseCharacterChannelAdapter, MultithreadedCharacterChannelAdapter, MultithreadedMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableCharacterChannelAdapter, MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedCharacterChannelAdapter, MultithreadedPrivilegedMimeResponseCharacterChannelAdapter

    public interface ICharacterChannel

extends IChannel

An optional channel interface that allows channels to provide their content in a character form (as opposed to XML form). Note: If a particular channel implements this optional interface, the portal will make use of it if and only if character caching portal setting is turned on. (it is not necessary for the channel to support caching, but character caching needs to be enabled for the portal)

Version:
  $Revision: 1.4 $
Author:
  Peter Kharchenko, Nick Bolton

Method Summary
`void` | `renderCharacters(java.io.PrintWriter pw)` Asks the channel to render its content as characters.

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Method Detail

### renderCharacters

    void renderCharacters(java.io.PrintWriter pw)
                          throws PortalException

  Asks the channel to render its content as characters. The method has the same call precedence as the IChannel.renderXML() method. (i.e. if the channel also supports ICacheable, portal will try to find a cache entry prior calling this method)

  Parameters:
    `pw` - a `PrintWriter` value into which the character output should be directed
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD